/* ------------------------------------------------------------ *\
	Profile
\* ------------------------------------------------------------ */

.profile {
	position: relative;

	&__inner {
		position: absolute;
		top: 100%;
		right: 0px;
		z-index: 20;
		background: #fff;
		width: 250px;
		border: 1px solid rgba(0, 0, 0, 0.18);
		transform: translateY(10px);
		visibility: hidden;
		opacity: 0;
		transition: visibility .4s, opacity .4s, transform .4s;
	}

	&__inner-head {
		padding: 15px 20px 7px 31px;
		border-bottom: 1px solid rgba(112, 1112, 112, .18);

		p {
			margin-bottom: 13px;
			letter-spacing: 0.05em;

			&:last-child {
				margin-bottom: 0;
			}
		}
	}

	&__inner-body {
		padding: 0 0 4px;

		ul {
			li + li {
				border-top: 1px solid rgba(112, 1112, 112, .18);
			}

			a {
				display: block;
				padding: 15px 25px;
				transition: color .4s;
				letter-spacing: 0.05em;
			}

			i {
				margin-right: 15px;
			}
		}
	}

	&__btn {
		position: relative;
		padding: 0 2px;

		&:after {
			content: '';
			height: 3px;
			width: 0;
			display: inline-block;
			position: absolute;
			bottom: 0;
			left: 50%;
			transform: translateX(-50%);
			transition: width .4s;
			background: #000000;
		}
	}

	@media(min-width: 1025px) {
		&:hover {
			.profile__inner {
				visibility: visible;
				opacity: 1;
				transform: translateY(0);
			}

			.profile__btn {
				&:after {
					width: 100%;
				}
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Profile secondary
\* ------------------------------------------------------------ */

.profile--secondary {
	display: flex;
	align-items: center;
	border-top: 1px solid #000000;
	border-bottom: 1px solid #000000;

	p {
		margin-bottom: 0px;
		font-size: 14px;
		font-weight: 400;

		span {
			font-size: 17px;
			font-weight: 600;
		}
	}

	small {
		font-size: 12px;
		font-weight: 400;
	}

	.profile--secondary__icon {
		margin-right: 20px;
		display: inline-block;
		vertical-align: middle;
	}

	.profile--secondary__content {
		display: inline-block;
		vertical-align: middle;
	}

	@media #{$mobile} {
		p {
			letter-spacing: 0.07em;
		}
	}
}
